commit f6caafacf3d8c176049de5c6680f8065bcfe9af9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Apr 25 03:10:09 2018 +0200

    release 0.4.0

    The 0.4.x series will be the stable series for use with GIMP-2.10, and
    maintained - likely with back ported ops from 0.5.0.

 configure.ac  | 10 +++++-----
 docs/NEWS.txt | 27 +++++++++++++++++++++++++++
 po/Makevars   |  2 +-
 3 files changed, 33 insertions(+), 6 deletions(-)

commit e816106c3878d503d2ed4bbfc28d75ef8a9d4632
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 26 05:27:29 2018 -0400

    spherize: move from workshop to common

 operations/common/Makefile.am              | 1 +
 operations/{workshop => common}/spherize.c | 5 ++---
 operations/workshop/Makefile.am            | 3 +--
 po/POTFILES.in                             | 2 +-
 4 files changed, 5 insertions(+), 6 deletions(-)

commit bcaeb621aaab4de12cea542709ba139d4deacb9f
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 26 05:23:02 2018 -0400

    recursive-transform: move from workshop to common

 operations/common/Makefile.am                         | 1 +
 operations/{workshop => common}/recursive-transform.c | 0
 operations/workshop/Makefile.am                       | 1 -
 po/POTFILES.in                                        | 2 +-
 4 files changed, 2 insertions(+), 2 deletions(-)

commit 618dc6e3d44dc8a0457386fb24871d25a24faec0
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 26 05:19:59 2018 -0400

    color-overlay: move from workshop to common

 operations/common/Makefile.am                   | 1 +
 operations/{workshop => common}/color-overlay.c | 6 +++---
 operations/workshop/Makefile.am                 | 1 -
 po/POTFILES.in                                  | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 92af3a22b4db2196e3645cb35e89a1a2df75fa1e
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Apr 25 19:29:41 2018 +0000

    Update Swedish translation

 po/sv.po | 64
 +++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 41 insertions(+), 23 deletions(-)

commit 2d691f75b179485bc0db9527d41670a552f39b04
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Apr 25 20:34:53 2018 +0200

    Update Polish translation

 po/pl.po | 66
 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 44 insertions(+), 22 deletions(-)

commit 7d96ec67c338e6c6f70b335e5903f54de223b131
Author: Jon Nordby <jononor@gmail.com>
Date:   Tue Apr 24 14:39:51 2018 +0200

    ppm-load: Port to GIO

 operations/external/ppm-load.c | 131
 +++++++++++++++++++++++++++++++----------
 1 file changed, 100 insertions(+), 31 deletions(-)

commit 73a429b37de25ee8f30510dc9247224e05c28a54
Author: Jon Nordby <jononor@gmail.com>
Date:   Tue Apr 24 12:55:09 2018 +0200

    jp2-load: Fix warning

    Documentation says buf==0 and bufsize==0 should be used
    when buffer should be grown automatically. In version
    2.0.14+ using a negative number writes to stderr a warning like:
    YOUR CODE IS RELYING ON DEPRECATED FUNCTIONALTIY IN THE JASPER LIBRARY

    Ref
    https://github.com/mdadams/jasper/commit/634ce8e8a5accc0fa05dd2c20d42b4749d4b2735

 operations/external/jp2-load.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 92643721312f7ec76f437a6cfc09cdb537903007
Author: Simon Budig <simon@budig.de>
Date:   Wed Apr 25 02:00:15 2018 +0200

    ripple: actually allow m/n == 0, fix a division by zero issue.

 operations/common-gpl3+/ripple.c | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit 3e4a92438932de6fb128a3c2deabe4781a70249e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Apr 25 00:29:09 2018 +0200

    panorama-projection: use abs instead of fabs for and integer value

    As reported by clang

 operations/common/panorama-projection.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 39503b30c69ba2acf60f627d28c5a14f2cd20247
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Apr 24 16:36:00 2018 +0000

    Add Ukrainian translation

 po/LINGUAS |    1 +
 po/uk.po   | 7784
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 7785 insertions(+)

commit f48bc78e494dd5aa4ed2d32f416a1230c11524b0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 22 20:54:41 2018 +0200

    stretch-contrast: add a perceptual property

    For bug #791530 this adds a boolean property that acts like the
    gamma hack,
    providing a way to stretch contrast. A better UI/API would be to
    have a more
    configurable operation to stretch components, covering color enhance,
    as well
    as contrast stretching.

 operations/common/stretch-contrast.c | 30 ++++++++++++++++++++++--------
 1 file changed, 22 insertions(+), 8 deletions(-)

commit fb00e687c3031933298260182b74016065bddb57
Author: Simon Budig <simon@budig.de>
Date:   Tue Apr 24 11:46:49 2018 +0200

    ripple: fix handling of phase offset for triangle/sawtooth case

 operations/common-gpl3+/ripple.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d5dc307ab54a9d4dbde7cc54f8010512e0fecbbd
Author: Simon Budig <simon@budig.de>
Date:   Tue Apr 24 01:20:00 2018 +0200

    ripple: some reworking

    - add options for abyss policy, implement real tileable mode

 operations/common-gpl3+/ripple.c | 83
 ++++++++++++++++++++++++++++++++++------
 1 file changed, 71 insertions(+), 12 deletions(-)

commit d93f3a5fc9ae7987e6778b8eec06ccb23dae28ef
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Mon Apr 23 16:17:34 2018 +0000

    Update Swedish translation

 po/sv.po | 28 ++++++++++++++++------------
 1 file changed, 16 insertions(+), 12 deletions(-)

commit 667e76a4180a52165090566a2216de952f0b81e0
Author: Simon Budig <simon@budig.de>
Date:   Mon Apr 23 04:38:59 2018 +0200

    ripple: rename sawtooth to triangle, implement proper sawtooth.

    also make sure that (0,0) stays undistorted for phi == 0.

 operations/common-gpl3+/ripple.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 4796a58beb806665311fe4270ff04e03a193d426
Author: Simon Budig <simon@budig.de>
Date:   Mon Apr 23 04:08:00 2018 +0200

    ripple: fix x-distance from origin

 operations/common-gpl3+/ripple.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2725c31869ca708df192413a0c19d3a8ce2120af
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Apr 22 15:25:59 2018 +0200

    Update Polish translation

 po/pl.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9e9095b600d528b9fa4fc538cd189fe54f29b32f
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Wed Apr 18 10:13:14 2018 +0200

    Updated Danish translation

 po/da.po | 739
 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 476 insertions(+), 263 deletions(-)

commit a9f6e8124d0eca3c9966457ac82bf5072b1666fb
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Wed Apr 18 17:59:20 2018 +0200

    Updated Italian translation

 po/it.po | 202
 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 125 insertions(+), 77 deletions(-)

commit 74c0235835c414010b761291468440a510fc3bfa
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Tue Apr 17 07:52:56 2018 +0000

    Update Swedish translation

 po/sv.po | 95
 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 47 insertions(+), 48 deletions(-)

commit 97d9d35cc062b50b1d52d17f7fe8aebf81b75129
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 16 23:10:42 2018 +0200

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 29254dcd875d271043aba57d0e6ebc48ec63c013
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 16 23:10:02 2018 +0200

    release 0.3.34, since the GIMP rc slipped

 configure.ac  |  2 +-
 docs/NEWS.txt | 18 +++++++++++++++++-
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 1b3276a7cb2212525ea1f53cebd1071169b70e0a
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 16 16:00:08 2018 +0200

    property-types: didn't commit part of the last change

 gegl/property-types/gegl-paramspecs.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1d6e841d78b3634fa186e6dde87b6fec126fed9f
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 16 15:49:36 2018 +0200

    property-type: change GeglParamSpecSeed from int to uint

    so it matches the value range of GeglRandom's seed. Change
    propery_seed() accordingly.

 gegl/gegl-op.h                        |  8 ++++----
 gegl/property-types/gegl-paramspecs.c | 10 +++++-----
 gegl/property-types/gegl-paramspecs.h |  6 +++---
 3 files changed, 12 insertions(+), 12 deletions(-)

commit f6d7fda01cc1abc8674d6c63d610db8a68afe062
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 16 14:47:52 2018 +0200

    color-overlay: typo in translatable string bug #795297

 operations/workshop/color-overlay.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 229aea9c9102dc66980a782a0e1aa42b66b3ca71
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:   Mon Apr 16 07:18:17 2018 +0000

    Update Swedish translation

 po/sv.po | 8128
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 4620 insertions(+), 3508 deletions(-)

commit 7cbe63555ea317d4eb170ce140bcb90e4cab4034
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Apr 15 10:48:31 2018 +0200

    Update Polish translation

 po/pl.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit cc0ae4d5c97db1c03ce460aac774c74507401579
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Apr 14 21:11:28 2018 +0200

    gluas: improve translatable property descriptions.

 operations/workshop/external/gluas.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 841759b489bf15176e550a808a249d5b626bfc2b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Apr 14 21:10:00 2018 +0200

    lcms-from-profile: capitalize ICC in property description

 operations/external/lcms-from-profile.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c83b05d565a1e3392c9606a4ecaa560eb9a4ee29
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Apr 14 14:26:37 2018 +0200

    ppm-load: limit max permitted buffer allocation to 2GB

    Fixing bug #795248

 operations/external/ppm-load.c | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 69766eee73ec13652a0d22876db649aab19d8397
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Apr 14 13:01:13 2018 +0200

    Update Polish translation

 po/pl.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e75bde843046c61d6b26d8a474f389ebb2007440
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Apr 14 12:34:48 2018 +0200

    post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ba7c9be4fe419680826c07d86fbe6b90a7fb336f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Apr 14 12:34:32 2018 +0200

    configure: release 0.3.32

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7e1a58c4245ab7ddea082cfdfbc6a5309c9fb2e9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Apr 14 12:05:41 2018 +0200

    panorama-projection: s/tranform/transform/

 operations/common/panorama-projection.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 491a6872b8f486fcb543450c3af139afa5134d2d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Apr 13 14:30:56 2018 +0200

    Update Polish translation

 po/pl.po | 37 +++++++++++++++++++++----------------
 1 file changed, 21 insertions(+), 16 deletions(-)

commit 1d2aac8c39960d86560cb5ae42588eebeee8b1d1
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Apr 13 13:56:10 2018 +0200

    NEWS: update

 docs/NEWS.txt | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 82acf54c9a4a7bb772d32bd3cfcfbaf169ec2590
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Apr 11 22:17:21 2018 +0200

    pixel-duster:

    make max_k a parameter of pixel duster set it for enlarge, but not
    in-paint op, also use random spray neighborhood rather than ordered.

 operations/workshop/enlarge.c      |  6 +++++-
 operations/workshop/enlarge2.c     |  6 +++++-
 operations/workshop/inpaint.c      |  3 ++-
 operations/workshop/pixel-duster.h | 26 ++++++++++++++++++++------
 4 files changed, 32 insertions(+), 9 deletions(-)

commit 3812dcc9247fdaa28a9d3f3930d75397fdae5bf3
Author: Jehan <jehan@girinstud.io>
Date:   Sat Aug 16 14:39:01 2014 +0200

    bin: replace --properties by --info with more details.

    Old --properties CLI option was listing property names, types and
    descriptions. --info also outputs the operation keys (title,
    description, categories…) as well as default values for properties.

    The option --properties is not visible anymore in the help but still
    works as an alias of --info.

 bin/gegl-options.c | 108
 ++++++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 98 insertions(+), 10 deletions(-)

commit 069810a4319080c74a066fb4ad578106a7a0c227
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Apr 11 18:42:22 2018 +0200

    panorama-projection: use scale matrix for near nadir/zenith

    We are skipping the computation of the shape of the pixel neighborhood
    to
    include samples for when not needed since this is quite
    expensive. This commit
    limits the tilt angle range of the optimization to where it is valid.

 operations/common/panorama-projection.c | 44
 +++++++++++++++++++--------------
 1 file changed, 26 insertions(+), 18 deletions(-)

commit a901a24fbe4325b0953bf3b205b3575f05f938b6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Apr 11 09:55:15 2018 +0200

    Update Polish translation

 po/pl.po | 72
 +++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 44 insertions(+), 28 deletions(-)

commit 427e699846acdd98183ac1d889b5d68e680e7462
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Apr 10 23:27:36 2018 +0200

    depend on babl-0.1.46

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5da799e9183916014ae1276c74af577508dc2839
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Apr 10 22:36:31 2018 +0200

    panorama-projection: opt-back into auto threading

    For the reverse case - improve accuract of invers jacobian scale
    matrix, which
    is used when doing scaling down for linear, cubic (and nohalo/lohalo)
    samplers,
    skip the expensive scale matrix computation for the forward transform.

    Also re-opt into automatic threading from base-class, it seems that
    with more
    proper inverse matrix handling there is less potential for threading
    related
    mishaps.

 operations/common/panorama-projection.c | 64
 ++++++++++++++++++++++++---------
 1 file changed, 48 insertions(+), 16 deletions(-)

commit 8ce10d2aac39438df0c0135bc67c8c7253fbc74a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Apr 10 16:55:21 2018 +0200

    Revert "panorama-projection: speed up by removing conditionals"

    This reverts commit 09a51b42a63ee88bec35102a727b9535ac7af86b since it
    made the little-planet mode stop working.

 operations/common/panorama-projection.c | 45
 +++++++++++++++++++++++++++------
 1 file changed, 37 insertions(+), 8 deletions(-)

commit 09a51b42a63ee88bec35102a727b9535ac7af86b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Apr 10 01:31:40 2018 +0200

    panorama-projection: speed up by removing conditionals

    Always doing the math for spin+zoom is faster than checking if we are
    spinning and zooming.

 operations/common/panorama-projection.c | 45
 ++++++---------------------------
 1 file changed, 8 insertions(+), 37 deletions(-)

commit 9adf594385b2ccbcca536a25cbeb956d4b483b0a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Apr 10 00:59:16 2018 +0200

    panorama-projection: simplify driving loops

 operations/common/panorama-projection.c | 36
 ++++++++++++++++++---------------
 1 file changed, 20 insertions(+), 16 deletions(-)

commit 08e19170427dc098d3667e3560124026ae815766
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Apr 10 00:49:07 2018 +0200

    panorama-projection: bail earlier when pixel is in wrong hemisphere

 operations/common/panorama-projection.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 2a519c10500c84c947127b77822825ae56f88ce9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 9 21:39:48 2018 +0200

    panorama-projection: add f prefix to float constants

 operations/common/panorama-projection.c | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit c87c5a3f3de514835330a7929479ba6b11fc32fd
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 9 21:36:32 2018 +0200

    panorama-projection: fix off by half error in sampling

 operations/common/panorama-projection.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 34abc1fc3a1195491662d3145c693601bcf397c9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 9 20:50:17 2018 +0200

    panorama-projection: change default sampler to nearest

    This is the desired forward sampler to use when using the
    panorama-projection
    op for retouching panoramas, it is also faster yielding a more
    responsive
    preview without mipmaps for large files as panoramas most often are.

 operations/common/panorama-projection.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ad446f4926879925aa66cae2d2fcdd9a5040aa29
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 9 16:00:25 2018 +0200

    panorama-projection: implement inverse transform for little-planet

 operations/common/panorama-projection.c | 47
 +++++++++++++++------------------
 1 file changed, 21 insertions(+), 26 deletions(-)

commit 459b1e09499efdc1f7ad93dbf7a503324ea0eba7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 9 15:34:45 2018 +0200

    panorama-projection: re-enable specifying output size

 operations/common/panorama-projection.c | 25 +++++++++++++++++++------
 1 file changed, 19 insertions(+), 6 deletions(-)

commit 5014211178959076b134bd74a89b087f9bbcd8d1
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 9 14:54:28 2018 +0200

    panorma-projection: improve inverse

    Renamed 'reverse' property to 'inverse', excluded some mapped pixels
    that were
    bleeding in from behind the observer when doing inverse. Avoid using
    lohalo or
    nohalo samplers for reverse transform, as well as other small code
    cleanups.

 operations/common/panorama-projection.c | 70
 +++++++++++++++------------------
 1 file changed, 31 insertions(+), 39 deletions(-)

commit 8fa5c9bef7b07b81d6f92ca2b545e50b49fa4648
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 9 14:28:35 2018 +0200

    panorama-projection: opt out of auto-threading

    valgrind is reporting bad acccesses

 operations/common/panorama-projection.c | 1 +
 1 file changed, 1 insertion(+)

commit 6b2e67410f1ca0cb4f93455038b8bfcbe638f556
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 9 03:57:12 2018 +0200

    Revert "algs: halve 8bpc LUT size"

    This reverts accidentally committed
    be65432a3e680e1f503565e489a0984ad0ac982f.

 gegl/gegl-algorithms.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 08529dfb53cbd06b099febf66e418d0b565e563e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 9 03:56:39 2018 +0200

    Revert "algorithms: re-arrange pointer arithmetic and loops in
    downscale_2x2 functions"

    This reverts accidentally commited
    37af1f48abd685cde9259ecf4a771f1424076646.

 gegl/gegl-algorithms.c         | 28 ++++++++++++++++------------
 perf/test-gegl-buffer-access.c | 19 ++-----------------
 2 files changed, 18 insertions(+), 29 deletions(-)

commit 857a35cba48ee27f31053c6b4c2f4f9d9c3f37bd
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 9 03:56:12 2018 +0200

    Revert "algorithms: bake 2x2 division into a LUT"

    This reverts accidentally commited
    b5c64a323825396c9ca578d7e071462240d78d56.

 gegl/gegl-algorithms.c | 114
 ++++++++++++++++++++++++-------------------------
 perf/joblist           |   2 +-
 2 files changed, 56 insertions(+), 60 deletions(-)

commit be65432a3e680e1f503565e489a0984ad0ac982f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Apr 3 22:10:15 2018 +0200

    algs: halve 8bpc LUT size

 gegl/gegl-algorithms.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 38294f96ef8d5e76b84826243e32cd2cafd9513c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 18:05:25 2018 +0200

    downscale_2x2_u8 move switch out of scanline loops

 gegl/gegl-algorithms.c | 20 ++++++--------------
 1 file changed, 6 insertions(+), 14 deletions(-)

commit 37af1f48abd685cde9259ecf4a771f1424076646
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 23:40:01 2018 +0200

    algorithms: re-arrange pointer arithmetic and loops in downscale_2x2
    functions

 gegl/gegl-algorithms.c         | 28 ++++++++++++----------------
 perf/test-gegl-buffer-access.c | 19 +++++++++++++++++--
 2 files changed, 29 insertions(+), 18 deletions(-)

commit b5c64a323825396c9ca578d7e071462240d78d56
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Apr 3 00:00:05 2018 +0200

    algorithms: bake 2x2 division into a LUT

 gegl/gegl-algorithms.c | 114
 +++++++++++++++++++++++++------------------------
 perf/joblist           |   2 +-
 2 files changed, 60 insertions(+), 56 deletions(-)

commit 0eda6be58ce568b7c6c4f4f190987bb5fefb83e1
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 9 03:12:14 2018 +0200

    panorama-projection: implement reverse mapping

    The inverse mapping now works with rectilinear mapping dimensions
    as the input,
    this is the case when the operation is used from within - this
    enables panorama
    retouching as originally planned with the op and requested in
    bug #795042

 operations/common/panorama-projection.c | 84
 +++++++--------------------------
 1 file changed, 18 insertions(+), 66 deletions(-)

commit 12c754352f993a1ce70a4587011d31850282e7a0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Apr 8 22:12:56 2018 +0200

    Update Polish translation

 po/pl.po | 74
 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 39 insertions(+), 35 deletions(-)

commit 0cc177800d38549816cc9b134d215e7a0f379d05
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Apr 7 00:57:05 2018 +0200

    panorama-projection: refactoring towards reverse transform

    The code in the op was rigged up with the intention of doing both
    forward and
    reverse transforms; original work on the op stopped when the
    panorama-preview
    part worked - leaving much of the code needed for reverse in place.

    This commit refactors and cleans up the reverse case, but doesn't
    quit make
    it work yet - a bug has been filed about this remaining work in
    bug #795042.

 operations/common/panorama-projection.c | 108
 +++++++++++++++++++++++++-------
 1 file changed, 84 insertions(+), 24 deletions(-)

commit 2a16542cdcddec6690debb7c913a6d0836148e46
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Apr 5 23:50:47 2018 +0200

    ppm-load: silence gcc warning

    the .bpc field of the ppm struct is being suspected of being used
    uninitialized
    even though we bail if loading header doesnt succeed - pre-initialize
    to 1 to
    avoid warnings.

 operations/external/ppm-load.c | 4 ++++
 1 file changed, 4 insertions(+)

commit d7a0d88adc4bb576e0c17bc67ed3d3643643edab
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Apr 4 20:20:29 2018 +0200

    operations: fix new g_object_ref() warnings

    In latest GLib, g_object_ref() returns the type that was passed in.
    Cast some parameters to match the variable we assign to.

 operations/core/cache.c | 2 +-
 operations/core/nop.c   | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 247138e0658205abb21c3bfe0bc5c4acbf7c8633
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 4 08:29:51 2018 -0400

    types: add a C++-friendly version of GEGL_RECTANGLE()

 gegl/gegl-types.h | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit c3be5b96bdf7fc325a2fb9b11fc96bc1c7439fce
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Apr 3 00:27:57 2018 +0200

    perf: set GEGL_PATH when running tests

 perf/Makefile-tests | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e50a1378a10653eaefb548ac76a268bd3ec44eb0
Author: Ell <ell_se@yahoo.com>
Date:   Mon Apr 2 12:04:10 2018 -0400

    buffer: fix use of gegl_tile_handler_damage_rect() for shifted buffers

    In gegl_buffer_iterate_write() and GeglBufferIterator, shift the
    rectangle passed to gegl_tile_handler_damage_rect() by the buffer's
    shift factor, so that it correctly uses tile-storage coordinates
    for shifted buffers.

 gegl/buffer/gegl-buffer-access.c   | 7 +++++--
 gegl/buffer/gegl-buffer-iterator.c | 9 ++++++++-
 2 files changed, 13 insertions(+), 3 deletions(-)

commit 829ec28fd3a62048eb0e3de2bbe4cf0a60c7985b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 16:57:10 2018 +0200

    algorithms: fix bug 794900, boxfilter broke in previous commit

 gegl/gegl-algorithms.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 76e01bc2370c410c50dad17fd062630ef9012107
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 14:07:23 2018 +0200

    algorithms: implement dedicated 2x2 downscale functions for u8 rgb
    and rgba

    This avoids a couple of extra function calls, as well as avoids a
    switch per
    scanline of tile which is a more significant saving.

 gegl/gegl-algorithms.c     | 109
 +++++++++++++++++++++++++++++++++++++++++++++
 gegl/gegl-types-internal.h |   2 +
 2 files changed, 111 insertions(+)

commit 3210f4ffc3c569a2acd9483811cb141070112bc6
Author: Ell <ell_se@yahoo.com>
Date:   Sat Mar 31 11:45:55 2018 -0400

    buffer: keep track of damage-region of mipmapped tiles

    WIP

 gegl/buffer/gegl-buffer-access.c      |   6 +-
 gegl/buffer/gegl-buffer-iterator.c    |  13 ++-
 gegl/buffer/gegl-buffer-private.h     |   6 ++
 gegl/buffer/gegl-tile-handler-cache.c |  39 ++++---
 gegl/buffer/gegl-tile-handler-zoom.c  | 184
 ++++++++++++++++++++++++----------
 gegl/buffer/gegl-tile-handler.c       |  52 +++++++++-
 gegl/buffer/gegl-tile.c               |  88 ++++++++++++++--
 7 files changed, 305 insertions(+), 83 deletions(-)

commit f665979d1602136a017f990b7a20072940627fb4
Author: Ell <ell_se@yahoo.com>
Date:   Sat Mar 31 11:59:29 2018 -0400

    buffer: add gegl_tile_handler_damage_rect()

    Should really be part of the next commit, but splitting the patch
    should help with GIMP testing.

 gegl/buffer/gegl-tile-handler.c | 71
 +++++++++++++++++++++++++++++++++++++++++
 gegl/buffer/gegl-tile-handler.h |  3 ++
 2 files changed, 74 insertions(+)

commit 2c84bd1e54ff8bb691ecfa4d45cb415edf57589a
Author: Ell <ell_se@yahoo.com>
Date:   Thu Mar 29 17:40:01 2018 -0400

    buffer, stats: add zoom-total GeglStats property

    ... which reports the total size of the data processed by the zoom
    tile handler.

 gegl/buffer/gegl-tile-handler-zoom.c | 18 ++++++++++++++++++
 gegl/buffer/gegl-tile-handler-zoom.h |  3 +++
 gegl/gegl-stats.c                    | 16 +++++++++++++++-
 3 files changed, 36 insertions(+), 1 deletion(-)

commit c5183e0c13a7227fe7b7f32cfda8d23da1173a10
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 02:19:56 2018 +0200

    algorithms: do not gamma/ungamma alpha when scaling u8 formats

    Improving performance and correctness.

    The u8 code paths for boxfilter and bilinear for display/blitting,
    as well as
    2x2 box averaging for mipmap generation were treating the alpha
    component just
    like the color components, this commit adds dedicated processing
    functions for
    u8 formats with alpha as the last member.

 gegl/gegl-algorithms.c                  | 292
 +++++++++++++++++++++++++++++++-
 tests/mipmap/invert-crop-reference.png  | Bin 13038 -> 13038 bytes
 tests/mipmap/invert-reference.png       | Bin 62575 -> 62604 bytes
 tests/mipmap/rotate-crop-reference.png  | Bin 16183 -> 16182 bytes
 tests/mipmap/rotate-reference.png       | Bin 84618 -> 84628 bytes
 tests/mipmap/unsharp-crop-reference.png | Bin 15892 -> 15894 bytes
 tests/mipmap/unsharp-reference.png      | Bin 74855 -> 74954 bytes
 7 files changed, 287 insertions(+), 5 deletions(-)

commit 34f217b7d4297c7c49e16fd27ff601e9a0d07c83
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Mar 28 00:07:21 2018 +0200

    transform: sometimes do less work in
    gegl_transform_get_invalidated_by_change

    As spotted by massimo in bug #694917 - the construction of this
    object is not
    neccesary in the case where we return early (finding the context
    rect could
    further also be special cased to always avoid the overhead of
    constructing/destroying a gobject).

 operations/transform/transform-core.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit f5ccd4fcdfa90750b0f8298574d2c592745e182a
Author: Marco Ciampa <ciampix@libero.it>
Date:   Tue Mar 27 11:14:03 2018 +0200

    Updated Italian translation

 po/it.po | 382
 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 237 insertions(+), 145 deletions(-)

commit f43d6df41afe614627ed5a9a7f9f4c905eefdb44
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Mon Mar 26 03:50:01 2018 +0300

    Update Russian translation

 po/ru.po | 76
 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 35 insertions(+), 41 deletions(-)

commit 8a0f954d95e5d5819e4e8e0400fa4d0eb731bbbf
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Mar 23 20:02:06 2018 +0100

    Update Polish translation

 po/pl.po | 57 ++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 34 insertions(+), 23 deletions(-)

commit e2e2379ad0a3207c3663f26a4e78213b89119f62
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 23 19:04:04 2018 +0100

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6183445f039847814ebf52edb77e861004aa93ab
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 23 19:01:13 2018 +0100

    release 0.3.30

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fcdb64122d3e84c1918aa92c87337643b43999ea
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 23 18:57:01 2018 +0100

    NEWS: add contributors for this release

 docs/NEWS.txt | 6 ++++++
 1 file changed, 6 insertions(+)

commit 9ef9e725f6e4b5d0644137ed56054b99f7bdcc25
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Fri Mar 23 17:44:30 2018 +0300

    Update Russian translation

 po/ru.po | 216
 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 142 insertions(+), 74 deletions(-)

commit d40dc1b2827427e5ecae278d61ed672de8fd5697
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 23 15:01:28 2018 +0100

    buffer: add mention of buffer-filter api in gegl_buffer_get

 gegl/buffer/gegl-buffer.h | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 9e3f252888417fd9ae807d2e551a9c22c1ed53f7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 23 14:58:55 2018 +0100

    NEWS: fix inaccurate description of new API

 docs/NEWS.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 70d290a157bc66c707789eebd552fcb4b4a1191b
Author: Ell <ell_se@yahoo.com>
Date:   Thu Mar 22 16:59:43 2018 -0400

    transform: fix gegl_transform_prepare() after last commit

 operations/transform/transform-core.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f9c9e6e7eeb1b3401f6846d48ae4f1a51d39ad65
Author: Ell <ell_se@yahoo.com>
Date:   Thu Mar 22 16:36:01 2018 -0400
